include $(GNUSTEP_MAKEFILES)/common.make

SUBPROJECT_NAME = ObjcUnitTests

ObjcUnitTests_HEADER_FILES=\
        AllTests.h \
        AssertTest.h \
        ExpectationCounterTest.h \
        ExpectationGroupTest.h \
        ExpectationListTest.h \
        ExpectationSetTest.h \
        ExpectationValueTest.h \
        NSObjectObjcUnitAdditionsTest.h \
        TestCaseTest.h \
        TestListenerTest.h \
        TestSuiteTest.h

ObjcUnitTests_OBJC_FILES=\
        AllTests.m \
        AssertTest.m \
        ExpectationCounterTest.m \
        ExpectationGroupTest.m \
        ExpectationListTest.m \
        ExpectationSetTest.m \
        ExpectationValueTest.m \
        NSObjectObjcUnitAdditionsTest.m \
        TestCaseTest.m \
        TestListenerTest.m \
        TestSuiteTest.m

ADDITIONAL_OBJCFLAGS = -Wno-import

-include GNUmakefile.preamble
-include GNUmakefile.local

include $(GNUSTEP_MAKEFILES)/subproject.make

-include GNUmakefile.postamble
